%define pkg_name        Algorithm-Dependency-Objects
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 1.n0i.5


Summary:       An implementation of an Object Dependency Algorithm
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/N/NU/NUFFIN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Scalar::Util) >= 1.10
BuildRequires: perl(Module::Build)
%{!?_without_test:BuildRequires: perl(Carp)}
%{!?_without_test:BuildRequires: perl(Scalar::Util) >= 1.10}
%{!?_without_test:BuildRequires: perl(Set::Object)}
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.47}


%description
This modules is a re-implementation of Algorithm::Dependency using only
objects instead of object ids, making use of Set::Object for book-keeping.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Fri Sep 21 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.5
- version 0.04

* Wed Sep 19 2007 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.4
- version 0.03

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.02-2.n0i.3
- mass rebuild

* Wed Jun 21 2006 Marius Feraru <altblue@n0i.net> - 0.02-1.n0i.2
- version 0.02

* Sat Aug 06 2005 Marius Feraru <altblue@n0i.net> 0.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
